<?php

namespace Myriad\NotifyClient\Client\Helpers;

use Exception;
use Myriad\NotifyClient\Client\ValidatesAgainstConfig;
use Myriad\NotifyClient\Models\NotificationGroup;
use Myriad\NotifyClient\Utilities\BuiltWithConfig;
use Myriad\NotifyClient\Utilities\HydratesModels;

class NotificationGroupHelper
{
    use BuiltWithConfig;
    use HydratesModels;
    use ValidatesAgainstConfig;

    /**
     * @return string
     */
    protected function getItemClass(): string
    {
        return NotificationGroup::class;
    }

    /**
     * @param $object
     * @return array
     * @throws Exception
     */
    public function makeArray($object): array
    {
        if ($object instanceof NotificationGroup) {
            return $object->toArray();
        }

        if (is_array($object)) {
            return $object;
        }

        throw new Exception('Object must be a NotificationGroup or array');
    }

    /**
     * @param  array  $array
     * @return bool
     */
    public function validate(array $array): bool
    {
        $this->maybeAssertChannelsAreValid(data_get($array, 'channels', []));
        return true;
    }

    /**
     * @param  null  $addl
     * @return string
     */
    public function uri($addl = null): string
    {
        return "notificationGroups".($addl ? "/$addl" : '');
    }
}
