<?php

namespace Myriad\NotifyClient\Client\Helpers;

use Exception;
use Myriad\NotifyClient\Models\Service;
use Myriad\NotifyClient\Utilities\BuiltWithConfig;
use Myriad\NotifyClient\Utilities\HydratesModels;

class ServiceVariantHelper
{
    use BuiltWithConfig;
    use HydratesModels;

    /**
     * @return string
     */
    protected function getItemClass(): string
    {
        return Service::class;
    }

    /**
     * @param $object
     * @return array
     * @throws Exception
     */
    public function makeArray($object): array
    {
        if ($object instanceof Service) {
            return $object->toArray();
        }
        if (is_array($object)) {
            return $object;
        }
        throw new Exception('Object must be a Service or array');
    }

    /**
     * @return string
     */
    public function uri(): string
    {
        return "services/addVariants";
    }
}
