<?php

namespace Myriad\NotifyClient\Client;

use InvalidArgumentException;

trait ValidatesAgainstConfig
{

    /**
     * @param  array  $channels
     */
    public function maybeAssertChannelsAreValid(array $channels): void
    {
        if ($this->config->shouldVerify()) {
            if ($invalid = array_diff($channels, $this->config->getChannels())) {
                throw new InvalidArgumentException("Invalid channels specified: ".implode(',', $invalid));
            }
        }
    }

    /**
     * @param  array  $subscriptions
     */
    public function maybeAssertSubscriptionsAreValid(array $subscriptions): void
    {
        if ($this->config->shouldVerify()) {
            if ($invalid = array_diff($subscriptions, $this->config->getSubscriptions())) {
                throw new InvalidArgumentException("Invalid subscriptions specified: ".implode(',', $invalid));
            }
        }
    }
}
