<?php

namespace Myriad\NotifyClient\Models;

use Myriad\NotifyClient\Utilities\BasicModel;

/**
 * @property string $id
 * @property string $title
 * @property string $summary
 * @property string $body
 * @property string $image
 * @property string $emailTitle
 * @property string $emailSummary
 * @property string $emailBody
 * @property string $emailImage
 * @property string $emailFrom
 * @property string $emailReplyTo
 * @property string $emailBodyHtml
 * @property array $emailHeaders
 * @property string $pushTitle
 * @property string $pushSummary
 * @property string $pushBody
 * @property string $pushImage
 * @property boolean $pushSilent
 * @property string $pushSound
 * @property string $pushTag
 * @property integer $pushBadge
 * @property string $pushPriority
 * @property array $pushData
 * @property string $smsTitle
 * @property string $smsSummary
 * @property string $smsBody
 * @property string $smsImage
 * @property array $filter
 * @property array $metadata
 * @property boolean $showInHistory
 * @property integer $failedCount
 * @property integer $canceledCount
 * @property integer $sentCount
 * @property string $scheduledAt
 * @property string $startedAt
 * @property string $canceledAt
 * @package Myriad\NotifyClient\Models
 */
class Notification extends BasicModel
{

    protected $attrMap = [
        'id' => '_id',
        'title' => 'content.title',
        'summary' => 'content.summary',
        'body' => 'content.body',
        'image' => 'content.image',
        'emailTitle' => 'content.email.title',
        'emailSummary' => 'content.email.summary',
        'emailBody' => 'content.email.body',
        'emailImage' => 'content.email.image',
        'emailFrom' => 'content.email.from',
        'emailReplyTo' => 'content.email.replyTo',
        'emailBodyHtml' => 'content.email.bodyHtml',
        'emailHeaders' => 'content.email.headers',
        'pushTitle' => 'content.push.title',
        'pushSummary' => 'content.push.summary',
        'pushBody' => 'content.push.body',
        'pushImage' => 'content.push.image',
        'pushSilent' => 'content.push.silent',
        'pushSound' => 'content.push.sound',
        'pushTag' => 'content.push.tag',
        'pushBadge' => 'content.push.badge',
        'pushPriority' => 'content.push.priority',
        'pushData' => 'content.push.data',
        'smsTitle' => 'content.sms.title',
        'smsSummary' => 'content.sms.summary',
        'smsBody' => 'content.sms.body',
        'smsImage' => 'content.sms.image',
    ];
}
